"use strict";
(function($) {
    $(".prop_use_0").on('change init', function() {
        if($(this).prop('checked')) {
            var checked = $(".prop_use_0:checked").val();
            if (checked == 1) {
                $('._simpleOption_pc').hide();
                $('._detailOption_pc').show();
            } else {
                $('._simpleOption_pc').show();
                $('._detailOption_pc').hide();
            }
        }
    }).trigger('init');

    $(".prop_use_1").on('change init', function() {
        if($(this).prop('checked')) {
            var checked = $(".prop_use_1:checked").val();
            if (checked == 1) {
                $('._simpleOption_sp').hide();
                $('._detailOption_sp').show();
            } else {
                $('._simpleOption_sp').show();
                $('._detailOption_sp').hide();
            }
        }
    }).trigger('init');

    /**
     * 各設定画面内のPC/SP切り替え
     */
    var showSettingDevice = function(type, device) {
        if (device == 'pc') {
            type.find('.viewpc').show();
            type.find('.viewsp').hide();
        } else if (device == 'sp') {
            type.find('.viewpc').hide();
            type.find('.viewsp').show();
        }
    }

    $('.deviceTabMenu a').off('click').on('click', function(e) {
        if ($(this).hasClass('active')) {
            return;
        }

        var prefix = $(this).data('prefix');
        var p = $(document);
        var d = $(this).data('device');
        if (prefix) {
            p = $(this).parents('[id^=' + prefix + ']');
        }
        showSettingDevice(p, d);

        p.find('.deviceTabMenu a').removeClass('active hover');
        $(this).addClass('active');

        e.preventDefault();
        e.stopPropagation();
    });

    $('[name=unit_sync]').on('change init', function(e) {
        if($(this).prop('checked')) {
            var sync = $('[name=unit_sync]:checked').val() == 1;
            var bool=true;

            if(sync) {
                if(e.type != 'init') {
                    bool = confirm("リンク状態で保存を行うとSPの設定はPCの設定で上書きされますが宜しいですか");
                }
                if(bool) {
                    $('.deviceTabMenu a:eq(0)').trigger('click');
                    $('.deviceTabMenu a:eq(0) span').html('PC・Tablet・SP');
                    $('.deviceTabMenu li:eq(1)').hide();

                    $('.pc2sp').hide();
                    $('.pc2sp').find('input[type=checkbox]').prop('checked', false);
                } else {
                    $('[name=unit_sync][value=0]').prop('checked', true);
                }
            } else {
                $('.deviceTabMenu a:eq(0) span').text('PC・Tablet');
                $('.deviceTabMenu li:eq(1)').show();

                $('.pc2sp').show();
                $('.pc2sp').find('input[type=checkbox]').prop('checked', ~~default_pc2sp===1);
                if(e.type=="init" && viewmode == "sp") {
                    $('.pc2sp').find('input[type=checkbox]').prop('checked', false);
                }
            }
        }
    }).trigger('init');

    $('select[name=effect]').on('change init', function() {
        if($(this).val() == "") {
            $("#effect_duration").prop('disabled', true);
        } else {
            $("#effect_duration").prop('disabled', false);
        }
    }).trigger('init');

})(jQuery);

/**
 * タイトルユニット独自JS
 */
(function($) {
    /**
      * 初期スクリプト
      */
    function initialize() {
        //サイズ
        var val = $("select[name=size]").val();
        if (val == 'fixsize') {
            $("#fix_size_area").show();
        }
        //サイズスマホ
        val = $("select[name=size_sp]").val();
        if (val == 'fixsize') {
            $("#fix_size_area_sp").show();
        }

        $("select[name^=click_action]").trigger('init');
    }

    $(function() {
        //サイズイベント
        $("select[name^=size]").on("change init", function() {
            var val = $(this).val();
            var area = $(this).next();
            if (val == 'fixsize') {
                area.show();
            } else {
                area.hide();
            }
        });
        //クリック動作のイベント
        $("select[name^=click_action]").on("change init", function() {
            var val = $(this).val();
            var prefix = $(this).attr('name').match(/_sp$/) ? '_sp' : '';
            if(val.match(/^_/)) {
                $("#_url"+prefix).show();
            } else {
                $("#_url"+prefix).hide();
            }
        });

        //初期設定
        initialize();
    });

    /**
     * loadイベント フォント設定
     */
    $(window).on("load", function(){
        setImageClear(['img_hover']);

        if (viewmode == 'sp') {
            if($("[name=unit_sync]:checked").val()==0) {
                $(".deviceTabMenu").find('[data-device=sp]').trigger('click');
            }
        }

        FontSelector.setOpenHandler(".bSelecterBtn", {baseurl: bingotopurl, callback:
            function(code, family, style) {
                var self = $(FontSelector.target);
                var name = document.createElement('p');
                var delLink = document.createElement('a');
                var sync = self.data('sync');
                $(name).addClass('selectedFontFamily').text(family);
                $(delLink).text('×').addClass('_fontClear').attr({href: 'javascript:void(0);'}).data('sync', sync);
                self.next().remove();
                $(name).append(delLink);
                self.after(name);

                $(sync).val(code);
                FontSelector.reload();
            }
        });

        $('#page-unit-detail').on('click', '._fontClear', function() {
            var sync = $(this).data('sync');
            $(sync).val('');
            $(this).parent().remove();
        });
    });
})(jQuery);
